Subject: munka
From: [email-masked]
To: [email-masked]
Date: Mon, 15 Sep 2003 19:06:41 +0200 (CEST)

Munka, the last email that you forwarded me is very very good and
contains, as far as i can see, all the necessary details. I shall now
translate it and send it to you, so you can send it to Maminka.

Elisabeth is perfectly right, of course, it's best to discuss it with some
bulgarian organisation, Union of Composers, or some Bulgarian publisher
who knows these things.

Anyway, I will get busy :-p

-Munjka

PS: but as I understand it it doesn't seem to be getting bad, so it's in
general very optimistic.